MythicMobs ⚔ Quests Add-on ⚔ 4.1.1

Add-on for Quests that adds a custom objective for killing specific MythicMobs mobs.

  1. Xikage
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    Source Code:
    https://github.com/BerndiVader/questsKillMythicMobsObjective
    Contributors:
    BerndiVader
    [​IMG]
    Quests Add-on

    [​IMG]

    [​IMG]

    This is a simple add-on for Quests that adds a "Kill # Mythic Mobs" objective in order to add compatibility for MythicMobs.

    Using this allows you to have quests where you can specify certain types of MythicMobs' mobs that must be killed.


    [​IMG]

    Required Dependencies
    Installation
    • Download MythicMobs-Quests.jar
    • Place it in your plugins/Quests/modules directory.
    • Start your server!
    Using in Quests
    • When setting up quest stages in Quests, select Custom Objectives
    • Add the "Kill MythicMobs" to your quest and follow the on-screen prompt

    [​IMG]

    MythicMobs Forums

    Discord Server

    Check out our forums or Discord for support. You can also check the add-on thread for additional information, found here:
    http://www.mythicmobs.net/forum/viewtopic.php?f=12&t=17


    Known Issues

    • Quests will sometimes throw an error that it failed to load the module on startup, but immediately after will say it loaded the objective anyway. I do not know why this is, but through all my testing everything has worked.
    • Module WILL PROBABLY NOT WORK on versions of each plugin prior to the ones listed.

Recent Reviews

  1. Lyim
    Lyim
    3/5,
    Version: 4.1.1
    Works, but with some components not functional and it CLUTTERS your console with errors .
  2. AkroDogy
    AkroDogy
    2/5,
    Version: 4.1.1
    Could not load 'plugins\MythicMobsQuests.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:154) ~[spigot.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot.jar:git-Spigot-c3e4052-1953f52]
    at org.bukkit.craftbukkit.v1_10_R1.CraftServer.loadPlugins(CraftServer.java:297) [spigot.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.DedicatedServer.init(DedicatedServer.java:202) [spigot.jar:git-Spigot-c3e4052-1953f52]
    at net.minecraft.server.v1_10_R1.MinecraftServer.run(MinecraftServer.java:539) [spigot.jar:git-Spigot-c3e4052-1953f52]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_161]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
    ... 6 more

    :/
    1. Xikage
      Author's Response
      Please follow instructions for installation
  3. HappyPikachu
    HappyPikachu
    5/5,
    Version: 4.1.1
    v4.1.1 works flawlessly with Quests 3.2.7 and above. Thanks for providing this module and keep up the great work!
  4. RedBear
    RedBear
    3/5,
    Version: v4.1.0
    Hey! Doesn't to be any support for this at the moment. Was wondering if anyone knows how to get it working. Says in the log "unable to load module..."

    Can't seem to get it to work. If anyone could help, drop me a message!
  5. LordofLightning
    LordofLightning
    5/5,
    Version: v4.1.0
    AMAZING, for those people who say it doesn't work, please learn how to run a server :)
  6. i9hdkill
    i9hdkill
    5/5,
    Version: v4.1.0
    Thanks! It simpy works out of the box without any issues so far. Don't know what to add here, as there is only one function and that works.
  7. SoulDuin
    SoulDuin
    2/5,
    Version: v4.1.0
    added it to the server was hype to get it runing then logged in to test commands to make sore it worked but it has not no commands seem to do enythink if i can get a hand to fix this that wold be great
  8. kuronory
    kuronory
    5/5,
    Version: v4.1.0
    Thank you for update!!!!!
    I like this plugin!!!!
    With this I can finally add a quest
    AWESOME!!!!!!!!!!!!!!
  9. kuronory
    kuronory
    1/5,
    Version: v2.4.0
    Please update this plugin XP
    I need this plugin and latest Mythicmobs.
    I think RPG server is nessesary this plugin!!!
    And I would like to connect with this plugin and the SkillAPI Parties plugin.
  10. Moiseiko
    Moiseiko
    3/5,
    Version: v2.4.0
    Please Update it!
    I can donate you for this!
    It's module realy need for my server!
    (100 symbols)(100 symbols)